Subject: Re: [PATCH] difftool: add env vars directly in run_file_diff()

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 29 May 2024 09:57:08 +0200

On Sun, May 26, 2024 at 10:16:50PM +0200, René Scharfe wrote:
> Add the environment variables of the child process directly using
> strvec_push() instead of building an array out of them and then adding
> that using strvec_pushv().  The new code is shorter and avoids magic
> array index values and fragile array padding.
> 
> Signed-off-by: René Scharfe <[email-masked]>

I don't know whether this may cause more allocations. But even if it
did, it would very much feel like a micro-optimization that is not worth
it in the end given that we're about to spawn a new process anyway,
which is way more expensive.

So favoring readability/maintainability very much feels like the right
thing to do here, and the result looks good to me. Thanks!

Patrick